#!/bin/bash


BASEDIR="$(dirname $0)"

. "$BASEDIR"/venv/bin/activate

which coverage >/dev/null 2>&1
if [ "$?" -ne 0 ]; then
  pip install coverage
fi

coverage run --branch --source=djadhere,accounts,adhesions,banking,services --omit=*/migrations/*.py "$BASEDIR"/manage.py test
coverage html
coverage report
